package com.caimei365.manager.dao;

import com.caimei365.manager.entity.caimei.CmPriorKeyword;
import com.caimei365.manager.entity.caimei.KeyWord;
import com.caimei365.manager.entity.caimei.cmUser.ServiceProviderModel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author zzj
 */
@Mapper
public interface KeyWordDao {
    List<KeyWord> findList(String keyword, Integer fromSearch, String beginTime, String endTime, Integer labelStatus);

    void updateLabelStatus(String id);

    List<KeyWord> findRecommendList(String keyword, String beginTime, String endTime);

    void updateRecommendFlag(String id);

    void insertLabel(String keyword);

    void insertLabelByExcel(String keyword);

    Integer findKeywordExist(String keyword);

    Map<String, String> findLinkageStatus(String id);

    void updateDelFlag(String id);

    void updateCmUserSearchFrequency(KeyWord keyWord);

    /**
     * 协销列表
     * @return
     */
    List<ServiceProviderModel> getServiceList();

    /**
     * 静态标签列表
     * @param keyword
     * @param fromSearch
     * @param beginTime
     * @param endTime
     * @param serviceProviderId
     * @return
     */
    List<KeyWord> getStateKeyWordList(String keyword, Integer fromSearch, String beginTime, String endTime, Integer serviceProviderId);

    /**
     * 插入静态标签
     * @param keyword
     */
    void insertLabelByState(String keyword);

    /**
     * 优先展示标签
     * @param keyword
     * @param fromSearch
     * @param dynamicStatus
     * @return
     */
    List<CmPriorKeyword> getPriorKeywordList(String keyword, Integer fromSearch, Integer dynamicStatus);

    /**
     * 选择标签
     * @param keyword
     * @param fromSearch
     * @param dynamicStatus 0 为动态标签 1 静态标签
     * @return
     */
    List<KeyWord> getPickKeyword(String keyword, Integer fromSearch, Integer dynamicStatus);

    /**
     * 优先展示标签数量
     * @return
     */
    Integer getPriorCount();

    /**
     * 标签是否已经是优先展示标签
     * @param searchId
     * @return
     */
    Integer getPrior(@Param("searchId") Integer searchId);

    /**
     * 插入优先展示标签
     * @param searchId
     */
    void insertPriorKeyword(@Param("searchId") Integer searchId);

    /**
     * 删除状态更改
     * @param id
     */
    void delPriorKeyword(@Param("id") Integer id);

    /**
     * 根据标签Id删除优先展示标签
     * @param id
     */
    void delPriorKeywordById(@Param("id") Integer id);
}
