package com.caimei365.manager.entity.caimei.svip;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/4/11
 */
@Data
public class CmCoupon {

    private String id;
    /**
     * 活动主题
     */
    private String name;
    /**
     * 优惠券金额(面值)
     */
    private BigDecimal couponAmount;
    /**
     * 优惠满减条件金额
     */
    private BigDecimal touchPrice;
    /**
     * 使用开始时间（有效期）
     */
    private Date startDate;
    /**
     * 使用结束时间（有效期）
     */
    private Date endDate;
    /**
     * 领取期限（天）
     */
    private Integer receivePeriod;
    /**
     * 领取期限同开始-结束时间
     */
    private Integer receiveFlag;
    /**
     * 使用期限（天）
     */
    private Integer usePeriod;
    /**
     * 状态 0未生效 1已生效 2已关闭 3已失效
     */
    private String status;
    /**
     * 劵类型 0活动券 1品类券 2用户专享券 3店铺券 4新用户券
     */
    private Integer couponType;
    /**
     * 超级会员专享优惠券标志：0否，1是
     */
    private Integer vipFlag;
    /**
     * 机构用户id(用户专享券有效)
     */
    private Integer userId;
    /**
     * 供应商id(店铺券有效)
     */
    private Integer shopId;
    /**
     * 优惠商品：1全商城商品 2指定商品(活动券有效)
     */
    private String productType;
    /**
     * 网站活动页banner
     */
    private String pcBanner;
    /**
     * 小程序活动页banner
     */
    private String appletsBanner;
    /**
     * 优惠品类：1 产品 2 仪器(品类券有效)
     */
    private String categoryType;
    /**
     * 领券方式：0正常 1使用兑换码
     */
    private String couponsMode;
    /**
     * 商品json数据
     */
    private String productInfo;
    /**
     * 机构名称
     */
    private String clubName;
    /**
     * 领取状态：1未领取 2已领取
     */
    private String claimStatus;
    /**
     * 使用状态 1未使用 2已使用
     */
    private String useStatus;
    /**
     * 领取渠道：1 小程序 2 网站 3 订单退回
     */
    private String source;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 兑换码数量
     */
    private Integer codeNum;
    /**
     * 机构领券id
     */
    private Integer clubCouponId;
    /**
     * 优惠券名称
     */
    private String couponName;
    /**
     * 描述
     */
    private String couponDesc;
    /**
     * 兑换码
     */
    private String redemptionCode;
    private CmCouponClub couponClub;
    /**
     * 价值优惠券属性 1,意向券，2，定向券
     */
    private Integer moneyCouponType;
    /**
     * 是否是价值优惠券，1是，2不是
     */
    private Integer moneyCouponFlag;
    /**
     * 价值优惠券购买金额
     */
    private Double moneyCouponPrice;
    private NewCmShop shop;
    private List<Integer> productIdList;
    /**
     * 购买方式 1.直接购买 2.采美豆抵扣
     */
    private Integer couponPayWay;
    /**
     * 使用期限同上下架时间
     */
    private Integer useTimeFlag;
    /**
     * 领取时间
     */
    private Date receiveDate;
    /**
     * 使用截止时间
     */
    private Date useEndDate;
    /**
     * 专属优惠券配置  1是、0否
     */
    private Integer configure;

    private Date createDate;
    /**
     * 删除标记
     */
    private String delFlag;
    /**
     * 商品回显
     */
    private List<CmCouponAssociate> associateList;
    /**
     * 月份Id
     */
    private String montId;
}
