package com.caimei365.manager.entity.wechat;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/1/6
 */
@Data
public class WechatArticle {
    private static final long serialVersionUID = 1L;
    /**
     * Id
     */
    private Integer id;
    /**
     * 标题
     */
    private String title;
    /**
     * 微信公众号类型
     */
    private String wxType;
    /**
     * 操作人用户Id
     */
    private Integer userId;
    /**
     * 类型： 1采美，2呵呵商城
     */
    private Integer type;
    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date updateTime;
    /**
     * 文章列表
     */
    private List<WechatArticleDetail> detailList;
    /**
     * 文章列表JSON数据：[
     *            { "id":         "文章ID"
     *              "title":      "文章标题",
     *              "url":    "跳转链接",
     *              "picurl": "图片链接",
     *            },
     *            {多条数据结构同上}
     *         ]
     */
    private String detailJson;
}
