package com.caimei365.manager.service.wechat;

import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.wechat.WechatArticle;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/1/6
 */
public interface WechatArticleService {
    /**
     * 获取图文素材列表
     *
     * @param type 类型： 1采美，2呵呵商城
     * @param title 标题
     * @param pageNum  页码
     * @param pageSize 每页大小
     */
    ResponseJson<PaginationVo<WechatArticle>> getArticleList(Integer type, String title, int pageNum, int pageSize);
    /**
     * 根据ID获取图文素材
     */
    ResponseJson<WechatArticle> getArticle(Integer id);
    /**
     * 根据ID更新图文素材
     */
    ResponseJson<Void> updateArticle(Integer id, WechatArticle article, String username);
    /**
     * 添加图文素材
     */
    ResponseJson<Void> addArticle(WechatArticle article, String username);
    /**
     * 根据ID删除图文素材
     */
    ResponseJson<Void> deleteArticle(Integer id);
}
